diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index a85e844..761a492 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -322,7 +322,7 @@ points(viewport1,3,"off")
 makeViewport2D(viewport1)
 write(viewport1,"p27-2.1.1")
 \end{verbatim}
-\center{\includegraphics[height=8cm,width=8cm]{ps/CRCp27-2.1.1.ps}}
+{\center{\includegraphics[height=8cm,width=8cm]{ps/CRCp27-2.1.1.ps}}}
 \label{CRCp27-2.1.1}
 \index{figures!CRCp27-2.1.1}
 
@@ -1116,12 +1116,16 @@ However, the moColor macro IS used but not included.
 #define moColor_BG(h,s) ((mono)?backgroundColor:XSolidColor(h,s))
 @
 \section{component.h}
+\index{component.h}
 <<include/component.h>>=
 /* 
    This file contains the definitions for the generalized point
    structures in 3D.
    */
 
+@
+\index{tube.h}
+<<include/component.h>>=
 <<include/tube.h>>
 
 /* viewman's and viewAlone's refPt */
@@ -1185,6 +1189,7 @@ typedef struct _LLLPoint { /* meaning list of list of list of points */
 
 @
 \section{g.h}
+\index{g.h}
 <<include/g.h>>=
 #define Xoption		0	/* Gdraw routine option */
 #define PSoption		1	/* Gdraw routine option */
@@ -1242,6 +1247,7 @@ typedef struct _GCstruct {
 
 @
 \section{nox10.h}
+\index{nox10.h}
 <<include/nox10.h>>=
 
 /* Used in XDraw and XDrawFilled */
@@ -1302,6 +1308,7 @@ typedef struct _XAssocTable {
 
 @
 \section{override.h}
+\index{override.h}
 <<include/override.h>>=
 #define overrideManager False   
 /* override_redirect setting for overriding the window manager's directives. 
@@ -1316,6 +1323,7 @@ typedef struct _XAssocTable {
 
 @
 \section{rgb.h}
+\index{rgb.h}
 \index{struct!RGB}
 \index{RGB struct}
 <<include/rgb.h>>=
@@ -1341,7 +1349,7 @@ typedef struct _HLS {
 
 @
 \section{spadcolors.h}
-This seems unused.
+\index{spadcolors.h}
 <<include/spadcolors.h>>=
 #define numOfColors 240
 #define totalHuesConst   27 
@@ -1371,9 +1379,13 @@ extern int       num;
 
 #define maxColors DisplayCells(dsply,scrn)-1
 
+@
+\index{rgb.h}
+<<include/spadcolors.h>>=
 <<include/rgb.h>>
 @
 \section{tube.h}
+\index{tube.h}
 <<include/tube.h>>=
 #define openTube 1
 #define closedTube 0
@@ -1386,6 +1398,9 @@ typedef struct _triple {    /* used for normals */
   float x,y,z;
 } triple;
 
+@
+\index{rgb.h}
+<<include/tube.h>>=
 <<include/rgb.h>>
 
 @
@@ -1482,6 +1497,7 @@ typedef struct _pointInfo {
 
 @
 \section{view2d.h}
+\index{view2d.h}
 <<include/view2d.h>>=
 #include <X11/Xlib.h>
 #define maxGraphs 9
@@ -1573,6 +1589,8 @@ typedef struct _graphStateStruct {
 /* need spline color, axes color, units color... */
 @
 \section{view3d.h}
+\index{view3d.h}
+\index{component.h}
 <<include/view3d.h>>=
 <<include/component.h>>
 
@@ -1592,6 +1610,7 @@ typedef struct _fun2VarModel {
 
 @
 \index{union!kindOf}
+\index{kindOf union}
 <<include/view3d.h>>=
 union kindOf {
   /*  float *zArray; */
@@ -1655,12 +1674,14 @@ typedef struct _boxSideStruct {
 
 @
 \section{viewcommand.h}
+\index{viewcommand.h}
 <<include/viewcommand.h>>=
 /* Commands that the viewports could send to the viewport manager */
 
 #define viewportClosing 1
 @
 \section{view.h}
+\index{view.h}
 <<include/view.h>>=
 /* This file is to be included by all the viewport files */
 
@@ -1721,6 +1742,7 @@ exitWithAck(RootWindow(dsply,scrn),Window,-1); \
 
 @
 \section{write.h}
+\index{write.h}
 <<include/write.h>>=
 /* These are types of files that the viewports would
    be able to write out upon a command from Axiom.
@@ -1733,6 +1755,7 @@ exitWithAck(RootWindow(dsply,scrn),Window,-1); \
 #define anImage	4
 @
 \section{xdefs.h}
+\index{xdefs.h}
 <<include/xdefs.h>>=
 /***      default fonts      ***/
 #ifdef  RTplatform
@@ -1767,68 +1790,12 @@ exitWithAck(RootWindow(dsply,scrn),Window,-1); \
 #endif
 
 @
-\section{include/purty}
-\subsection{include/purty/spadbitmap.bitmap}
-<<include/purty/spadbitmap.bitmap>>=
-#define spadBitmap_width 34
-#define spadBitmap_height 20
-#define spadBitmap_x_hot 15
-#define spadBitmap_y_hot 10
-static char spadBitmap_bits[] = {
-   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
-   0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x01, 0x00,
-   0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8,
-   0xe6, 0xf8, 0x76, 0x00, 0x84, 0x98, 0x44, 0x49, 0x00, 0xc0, 0x98, 0x42,
-   0x49, 0x00, 0xb8, 0x98, 0x42, 0x49, 0x00, 0x84, 0x95, 0x42, 0x49, 0x00,
-   0x44, 0xa5, 0x22, 0x49, 0x00, 0x78, 0x63, 0x1d, 0xdb, 0x00, 0x00, 0x00,
-   0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x01, 0x00,
-   0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
-   0x00, 0x00, 0x00, 0x00};
-@
-\subsection{include/purty/spadmask.mask}
-<<include/purty/spadmask.mask>>=
-#define spadMask_width 34
-#define spadMask_height 20
-#define spadMask_x_hot 15
-#define spadMask_y_hot 10
-static char spadMask_bits[] = {
-   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0,
-   0x01, 0x00, 0x00, 0x00, 0xe0, 0x03, 0x00, 0x00, 0x00, 0xe0, 0x03, 0x00,
-   0x00, 0x00, 0xe0, 0x03, 0x00, 0x00, 0xfc, 0xff, 0xff, 0xff, 0x01, 0xfe,
-   0xff, 0xff, 0xff, 0x01, 0xfe, 0xff, 0xff, 0xff, 0x01, 0xfe, 0xff, 0xff,
-   0xff, 0x01, 0xfe, 0xff, 0xff, 0xff, 0x01, 0xfe, 0xff, 0xff, 0xff, 0x01,
-   0xfe, 0xff, 0xff, 0xff, 0x01, 0xfe, 0xff, 0xff, 0xff, 0x01, 0xfc, 0xff,
-   0xff, 0xff, 0x01, 0x00, 0xe0, 0x03, 0x00, 0x00, 0x00, 0xe0, 0x03, 0x00,
-   0x00, 0x00, 0xe0, 0x03, 0x00, 0x00, 0x00, 0xc0, 0x01, 0x00, 0x00, 0x00,
-   0x00, 0x00, 0x00, 0x00};
-@
-\subsection{include/purty/volume.bitmap}
-<<include/purty/volume.bitmap>>=
-#define volumeBitmap_width 16
-#define volumeBitmap_height 16
-#define volumeBitmap_x_hot 5
-#define volumeBitmap_y_hot 1
-static char volumeBitmap_bits[] = {
-   0x00, 0x00, 0x60, 0x00, 0x90, 0x00, 0x10, 0x01, 0x10, 0x07, 0x10, 0x09,
-   0x0c, 0x39, 0x1a, 0x51, 0x32, 0x50, 0x22, 0x40, 0x22, 0x40, 0x04, 0x60,
-   0x04, 0x30, 0xf8, 0x1f, 0x04, 0x20, 0xf8, 0x1f};
-@
-\subsection{include/purty/volume.mask}
-<<include/purty/volume.mask>>=
-#define volumeMask_width 16
-#define volumeMask_height 16
-#define volumeMask_x_hot 5
-#define volumeMask_y_hot 1
-static char volumeMask_bits[] = {
-   0x00, 0x00, 0x60, 0x00, 0xf0, 0x00, 0xf0, 0x01, 0xf0, 0x07, 0xf0, 0x0f,
-   0xfc, 0x3f, 0xfe, 0x7f, 0xfe, 0x7f, 0xfe, 0x7f, 0xfe, 0x7f, 0xfc, 0x7f,
-   0xfc, 0x3f, 0xf8, 0x1f, 0x04, 0x20, 0xf8, 0x1f};
-@
-
 \chapter{viewman}
 \label{viewman}
+\index{viewman}
 \section{Constants and Headers}
 \subsection{defines}
+\index{defines}
 <<viewman>>=
       /* Viewport Commands */
 #define makeViewport -1
@@ -1864,6 +1831,10 @@ static char volumeMask_bits[] = {
 
 @
 \subsection{Local includes}
+\index{actions.h}
+\index{view2d.h}
+\index{view3d.h}
+\index{viewcommand.h}
 <<viewman>>=
 <<include/actions.h>>
 <<include/view2d.h>>
@@ -3057,6 +3028,10 @@ int main(void) {
 
 @
 \subsection{Local includes}
+\index{view3d.h}
+\index{view2d.h}
+\index{actions.h}
+\index{viewcommand.h}
 <<viewalone>>=
 <<include/view3d.h>>
 <<include/view2d.h>>
@@ -3711,6 +3686,15 @@ documentation in that chapter.
 
 @
 \subsection{local includes}
+\index{actions.h}
+\index{g.h}
+\index{nox10.h}
+\index{override.h}
+\index{view.h}
+\index{viewcommand.h}
+\index{view2d.h}
+\index{write.h}
+\index{xdefs.h}
 <<view2d>>=
 #include "bsdsignal.h"
 #include "bsdsignal.h1"
@@ -4292,6 +4276,7 @@ two dimensional control panel, and returns the
 number of buttons created.
 \index{view2d!initButtons}
 \index{initButtons view2d}
+\index{gfun.c}
 <<view2d>>=
 <<gfun.c>>
 int initButtons(buttonStruct *buttons) {
@@ -7492,6 +7477,14 @@ int main(void) {
 
 @
 \subsection{Local includes}
+\index{view3d.h}
+\index{actions.h}
+\index{g.h}
+\index{override.h}
+\index{view.h}
+\index{viewcommand.h}
+\index{write.h}
+\index{xdefs.h}
 <<view3d>>=
 #include "bsdsignal.h"
 #include "bsdsignal.h1"
@@ -8914,6 +8907,7 @@ three dimensional control panel, and returns the
 number of buttons created.
 \index{view3d!initButtons}
 \index{initButtons view3d}
+\index{gfun.c}
 <<view3d>>=
 <<gfun.c>>
 int initButtons(buttonStruct *buttons) {  
@@ -17686,6 +17680,7 @@ The order of these defined variables are very important; they are used
 to create the OUTPUT file.  Essentially, PSCreateFile() loops through the
 index of 0 to psDrawNo and checks if the file/procedure is used.  If so,
 the file is copied to the output file.
+\index{gfun.c}
 <<gfun.c>>=
 
 #define output		0		/* output file */
@@ -18886,100 +18881,6 @@ void XDeleteAssoc(Display * dsp,HashTable * table, Window w) {
 }
 
 @
-\section{gdraws Makefile}
-\subsection{environment variables}
-<<gdraws/Makefile>>=
-BOOK=${SPD}/books/bookvol8.pamphlet
-MIDINT=	${INT}/graph/gdraws
-MIDOBJ=	${OBJ}/${SYS}/graph/gdraws
-OUT=	${MNT}/${SYS}/lib
-PS=	${MNT}/${SYS}/lib/graph
-
-CFLAGS	    = ${CCF} -I${SRC}/include -I${SRC}/hyper
-
-HEADERS =  ${SRC}/include/hash.h  ${SRC}/include/hash.h1 
-
-all: ${MIDOBJ}/gfun.o ${PSFiles} 
-	@ echo 21 finished making gdraws from ${BOOK}
-
-${MIDOBJ}/gfun.o: ${HEADERS} ${BOOK}
-	@ echo 2 making ${MIDOBJ}/gfun.o from ${BOOK}
-	@( cd ${MIDINT} ; ${TANGLE} -R"gfun.c" ${BOOK} >gfun.c )
-	@ ( cd ${MIDOBJ} ; ${CC} -c ${CFLAGS} ${MIDINT}/gfun.c )
-
-${PS}/colorpoly.ps: ${BOOK} 
-	@ echo 3 ${PS}/colorpoly.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/colorpoly" ${BOOK} >${PS}/colorpoly.ps
-
-${PS}/colorwol.ps: ${BOOK} 
-	@ echo 4 ${PS}/colorwol.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/colorwol" ${BOOK} >${PS}/colorwol.ps
-
-${PS}/draw.ps: ${BOOK} 
-	@ echo 5 ${PS}/draw.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/draw" ${BOOK} >${PS}/draw.ps
-
-${PS}/drawIstr.ps: ${BOOK} 
-	@ echo 6 ${PS}/drawIstr.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawIstr" ${BOOK} >${PS}/drawIstr.ps
-
-${PS}/drawarc.ps: ${BOOK} 
-	@ echo 7 ${PS}/drawarc.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawarc" ${BOOK} >${PS}/drawarc.ps
-
-${PS}/drawcolor.ps: ${BOOK} 
-	@ echo 8 ${PS}/drawcolor.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawcolor" ${BOOK} >${PS}/drawcolor.ps
-
-${PS}/drawline.ps: ${BOOK} 
-	@ echo 9 ${PS}/drawline.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawline" ${BOOK} >${PS}/drawline.ps
-
-${PS}/drawlines.ps: ${BOOK} 
-	@ echo 10 ${PS}/drawlines.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawlines" ${BOOK} >${PS}/drawlines.ps
-
-${PS}/drawpoint.ps: ${BOOK} 
-	@ echo 11 ${PS}/drawpoint.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawpoint" ${BOOK} >${PS}/drawpoint.ps
-
-${PS}/drawrect.ps: ${BOOK} 
-	@ echo 12 ${PS}/drawrect.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawrect" ${BOOK} >${PS}/drawrect.ps
-
-${PS}/drawstr.ps: ${BOOK} 
-	@ echo 13 ${PS}/drawstr.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drawstr" ${BOOK} >${PS}/drawstr.ps
-
-${PS}/drwfilled.ps: ${BOOK} 
-	@ echo 14 ${PS}/drwfilled.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/drwfilled" ${BOOK} >${PS}/drwfilled.ps
-
-${PS}/end.ps: ${BOOK} 
-	@ echo 15 ${PS}/end.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/end" ${BOOK} >${PS}/end.ps
-
-${PS}/fillarc.ps: ${BOOK} 
-	@ echo 16 ${PS}/fillarc.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/fillarc" ${BOOK} >${PS}/fillarc.ps
-
-${PS}/fillpoly.ps: ${BOOK} 
-	@ echo 17 ${PS}/fillpoly.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/fillpoly" ${BOOK} >${PS}/fillpoly.ps
-
-${PS}/fillwol.ps: ${BOOK} 
-	@ echo 18 ${PS}/fillwol.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/fillwol" ${BOOK} >${PS}/fillwol.ps
-
-${PS}/header.ps: ${BOOK} 
-	@ echo 19 ${PS}/header.ps from ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/header" ${BOOK} >${PS}/header.ps
-
-${PS}/setup.ps: ${BOOK} 
-	@ echo 20 ${PS}/setup.ps ${BOOK} 
-	@ ${TANGLE} -R"gdraws/psfiles/setup" ${BOOK} >${PS}/setup.ps
-
-@
 \section{The postscript command definitions}
 \subsection{colorpoly}
 \begin{verbatim}
@@ -18995,6 +18896,8 @@ operand stack configuration in order to use psColorPoly:
 this draws a polygon by connecting all the points and fills the
 region with foreground color
 \end{verbatim}
+\index{psfiles!colorpoly}
+\index{colorpoly psfiles}
 <<psfiles/colorpoly>>=
 /psColorPoly
         {	gsave
@@ -19023,6 +18926,8 @@ operand stack configuration in order to use psDrawFilled:
 this draws lines connecting all the points and fills the
 region with background color (default: 1, or white).
 \end{verbatim}
+\index{psfiles!colorwol}
+\index{colorwol psfiles}
 <<psfiles/colorwol>>=
 /psColorwOutline
         {	gsave
@@ -19053,6 +18958,8 @@ and height specifies the rectangle which encases the arc.
 Origin is at upper left corner of rectangle.
 This function uses "scale" to make cricles and ellipses.
 \end{verbatim}
+\index{psfiles!drawarc}
+\index{drawarc psfiles}
 <<psfiles/drawarc>>=
 /psDrawArc 
         {	gsave
@@ -19087,6 +18994,8 @@ operand stack configuration in order to use psDrawColor:
 	graphics-context dictionary
 to draw lines connecting points in vlist[0] to vlist[n]
 \end{verbatim}
+\index{psfiles!drawcolor}
+\index{drawcolor psfiles}
 <<psfiles/drawcolor>>=
 /psDrawColor
         {	gsave
@@ -19112,6 +19021,8 @@ operand stack configuration in order to use psDrawIStr:
 it draws a text string in foreground color on top of bounding box of
 string, which is in background color.
 \end{verbatim}
+\index{psfiles!drawIstr}
+\index{drawIstr psfiles}
 <<psfiles/drawIstr>>=
 /psDrawIStr
         {	gsave
@@ -19162,6 +19073,8 @@ operand stack configuration in order to use psDrawLine:
 	graphics-context dictionary
 this draws a line from (x0, y0) to (x1, y1).
 \end{verbatim}
+\index{psfiles!drawline}
+\index{drawline psfiles}
 <<psfiles/drawline>>=
 /psDrawLine
         {	gsave
@@ -19186,6 +19099,8 @@ operand stack configuration in order to use psDrawLines:
 	graphics-context dictionary
 this draws lines connecting all the points.
 \end{verbatim}
+\index{psfiles!drawlines}
+\index{drawlines psfiles}
 <<psfiles/drawlines>>=
 /psDrawLines
         {	gsave
@@ -19208,6 +19123,8 @@ operand stack configuration in order to use psDrawPoint:
 	graphics-context dictionary
 this draws a point at (x0, y0).
 \end{verbatim}
+\index{psfiles!drawpoint}
+\index{drawpoint psfiles}
 <<psfiles/drawpoint>>=
 /psDrawPoint
         {	gsave
@@ -19232,6 +19149,8 @@ operand stack configuration in order to use psDraw:
 	graphics-context dictionary
 to draw lines connecting points in vlist[0] to vlist[n]
 \end{verbatim}
+\index{psfiles!draw}
+\index{draw psfiles}
 <<psfiles/draw>>=
 /psDraw
         {	gsave
@@ -19257,6 +19176,8 @@ operand stack configuration in order to use psDrawRect:
 this draws an outline of a rectangle whose origin is at (x,y) and is width
 + 1 wide and height + 1 tall.
 \end{verbatim}
+\index{psfiles!drawrect}
+\index{drawrect psfiles}
 <<psfiles/drawrect>>=
 /psDrawRect
         {	gsave
@@ -19277,6 +19198,8 @@ operand stack configuration in order to use psDrawStr:
 	graphics-context dictionary
 this function draws a text string at (x,y).
 \end{verbatim}
+\index{psfiles!drawstr}
+\index{drawstr psfiles}
 <<psfiles/drawstr>>=
 /psDrawStr
         {	gsave
@@ -19302,6 +19225,8 @@ operand stack configuration in order to use psDrawFilled:
 this draws lines connecting all the points and fills the
 region with background color (default: 1, or white).
 \end{verbatim}
+\index{psfiles!drwfilled}
+\index{drwfilled psfiles}
 <<psfiles/drwfilled>>=
 /psDrawFilled
         {	gsave
@@ -19316,8 +19241,8 @@ region with background color (default: 1, or white).
 
 @
 \subsection{end}
-\begin{verbatim}
-\end{verbatim}
+\index{psfiles!end}
+\index{end psfiles}
 <<psfiles/end>>=
 
    cleartomark					%% clearing operand stack
@@ -19346,6 +19271,8 @@ and height specifies the rectangle which encases the arc.
 Origin is at upper left corner of rectangle.
 This function uses "scale" to make cricles and ellipses.
 \end{verbatim}
+\index{psfiles!fillarc}
+\index{fillarc psfiles}
 <<psfiles/fillarc>>=
 /psFillArc
         {	gsave
@@ -19382,6 +19309,8 @@ operand stack configuration in order to use psDrawFilled:
 this draws a polygon by connecting all the points and fills the
 region with foreground color
 \end{verbatim}
+\index{psfiles!fillpoly}
+\index{fillpoly psfiles}
 <<psfiles/fillpoly>>=
 /psFillPoly
         {	gsave
@@ -19410,6 +19339,8 @@ operand stack configuration in order to use psDrawFilled:
 this draws lines connecting all the points and fills the
 region with background color (default: 1, or white).
 \end{verbatim}
+\index{psfiles!fillwol}
+\index{fillwol psfiles}
 <<psfiles/fillwol>>=
 /psFillwOutline
         {	gsave
@@ -19428,6 +19359,8 @@ region with background color (default: 1, or white).
 \subsection{header}
 \begin{verbatim}
 \end{verbatim}
+\index{psfiles!header}
+\index{header psfiles}
 <<psfiles/header>>=
 %!PS-Adobe-2.0
 %%DocumentFonts: Times-Roman
@@ -19587,8 +19520,8 @@ region with background color (default: 1, or white).
 
 @
 \subsection{setup}
-\begin{verbatim}
-\end{verbatim}
+\index{psfiles!setup}
+\index{setup psfiles}
 <<psfiles/setup>>=
 %-------------------------- script --------------------------%
 
diff --git a/changelog b/changelog
index 5fa645b..5c6a0b8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080619 tpd books/bookvol8 systematically index chunks
 20080619 tpd readme add Anatoly Raportirenko
 20080619 tpd src/interp/setq.lisp add Anatoly Raportirenko
 20080619 axr Anatoly Raportirenko <ram@sunct1.jinr.ru>
